Public Member Functions | Public Attributes | List of all members
clan::UserData< T > Class Template Reference
clanCore System

`#include <userdata.h>`

Inheritance diagram for clan::UserData< T >:

## Public Member Functions
| UserData (const std::shared_ptr< T > &data)
Public Member Functions inherited from clan::UserDataBase
virtual | ~UserDataBase ()

## Public Attributes
std::shared_ptr< T > | data

The documentation for this class was generated from the following file:

- userdata.h